<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:whc="http://www.oxygenxml.com/webhelp/components"
    xmlns="http://www.w3.org/1999/xhtml"
    xpath-default-namespace="http://www.w3.org/1999/xhtml"
    exclude-result-prefixes="xs whc"
    version="3.0">

<!--
    <xsl:variable name="main-page-link-from-top-menu-orig" as="item()?" select="//nav[contains-token(@class, 'wh_top_menu')]//span[contains-token(@class, 'main-page')]//a[1]"/>
    <xsl:variable name="main-page-link-from-publication-toc-orig" as="item()?" select="//div[contains-token(@class, 'wh_main_page_toc')]//span[contains-token(@class, 'main-page')]//a[1]"/>
-->
    <xsl:variable name="main-page-link-from-top-menu" as="item()?" select="//span[1]"/>
    <xsl:variable name="main-page-link-from-publication-toc" as="item()?" select="//a[1]"/>

    <xsl:template match="html" mode="copy_template">
        <xsl:copy-of select="."/>
    </xsl:template>

    <xsl:template match="XXhtml[body[contains-token(@class, 'wh_main_page')]]
                             [1]" mode="copy_template">
<html>
  <head>
    <meta http-equiv="refresh" content="0; url='https://www.w3docs.com'" />
  </head>
  <body>
    <p>Please click on <xsl:copy-of select="$main-page-link-from-top-menu"/> if not automatically redirected.</p>
    <p>Please click on <xsl:copy-of select="$main-page-link-from-publication-toc"/> if not automatically redirected.</p>
  </body>
</html>
    </xsl:template>

</xsl:stylesheet>
